{ ... }:
{
  name = "service-pocket-id";

  clan = {
    test.useContainers = false;
    directory = ./.;
    inventory = {
      machines.server = { };

      instances = {
        pocket-id-test = {
          module.name = "@clan/pocket-id";
          module.input = "self";
          roles.default.machines."server" = { };
        };
      };
    };
  };

  nodes = {
    server = {
      services.pocket-id = { };
    };
  };

  testScript = ''
    start_all()

    server.wait_for_unit("pocket-id")

    # Check that garage is running
    server.succeed("systemctl status pocket-id")
  '';
}
